Bug 70889 - network-access to databases/mysql40-server exits with ERROR 2013
Summary: network-access to databases/mysql40-server exits with ERROR 2013
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-24 01:30 UTC by Andreas Haakh
Modified: 2004-09-21 22:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Haakh 2004-08-24 01:30:22 UTC
	Network access to mysql-database 4.0.20 (mysql -h fqdn) fails
	with ERROR 2013. Other access-methods (OpenOffice, mySQL-ControlCenter)
	fail as well. 
	mysql40-server, compiled on FreeBSD 5.2-CURRENT (May 2004) worked
	fine.

Fix: 

Edit Makefile and build without libwrap.

	Nonstd function declarations in src/contrib/tcp_wrappers/tcpd.h
	for fromhost(), hosts_access(), eval_client() combined with buggy 
	macros in mysql40-server/sql/mysqld.cc (see patch for mysqld.cc)
	which remove required arguments seem to be the reason for this bug. 
	This probably applies to other mysql-versions as well.
How-To-Repeat: 	Install mysql40 from package (Aug 10/2004) or compile and install
	from ports. Then try 'mysql -h hostname'
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-08-24 05:25:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer.
Comment 2 pgollucci 2004-09-17 20:00:40 UTC
Verified that this affects all mysql ports:
mysql323
mysql40
mysql41
mysql50

-- 
END
-----------------------------------------------------------------------------
Philip M. Gollucci
Senior Developer - Liquidity Services Inc.
Phone:  202.467.6868
E-Mail: pgollucci@liquidation.com
Web:    http://www.liquidation.com
Comment 3 Alex Dupre freebsd_committer 2004-09-21 22:15:07 UTC
State Changed
From-To: open->closed

Fixed, thanks!